DSRW_READ_PACKET_DESC(3)

FUNCTION
dsrw_read_packet_desc - Read the binary representation of a packet descriptor.

SYNOPSIS
#include <karma_dsrw.h>

packet_desc * dsrw_read_packet_desc

(Channel channel)

DESCRIPTION
This routine will read the binary representation of a packet descriptor from a channel object. The routine will recursively read in array and linked list descriptors if required.

channel
    The channel object.

RETURN VALUE
A pointer to the packet descriptor on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/